Nornir napalm_cli error

Hi everybody,

I’m using nornir with ios driver and I want to execute one specific command but I got the error “Timed-out reading channel, data not available”, I tried using the global_delay_factor in my groups.yaml file and execute the term len 0 command before the needed command but it doesn’t works, I appreciate some tip to solve this problem.

my code
from nornir import InitNornir
from nornir_napalm.plugins.tasks import napalm_get, napalm_cli

from nornir_utils.plugins.functions import print_result
from nornir.core.filter import F

nr = InitNornir(config_file = “config.yaml”)

filtered = nr.filter( F(modelo=“NCS”))

result = filtered.run(
napalm_cli,
commands=[“sh controllers fia link-info rx 0 35 topo instance all location all”]
)
print_result(result)

testGroup:
connection_options:
napalm:
extras:
optional_args:
transport: ssh
global_delay_factor: 15

an the error that I got

2021-02-04 21:29:13,621 - nornir.core - INFO - run() - Running task ‘napalm_cli’ with args {‘com
mands’: [‘sh controllers fia link-info rx 0 35 topo instance all location all’]} on 1 hosts
2021-02-04 21:29:50,624 - nornir.core.task - ERROR - start() - Host ‘EAS’: task ‘napalm_cli’ fail
ed with traceback:
Traceback (most recent call last):
File “/usr/local/lib/python3.8/dist-packages/paramiko/channel.py”, line 699, in recv
out = self.in_buffer.read(nbytes, self.timeout)
File “/usr/local/lib/python3.8/dist-packages/paramiko/buffered_pipe.py”, line 164, in read
raise PipeTimeout()
paramiko.buffered_pipe.PipeTimeout

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/usr/local/lib/python3.8/dist-packages/netmiko/base_connection.py”, line 569, in _read_channel_expect
new_data = self.remote_conn.recv(MAX_BUFFER)
File “/usr/local/lib/python3.8/dist-packages/paramiko/channel.py”, line 701, in recv
raise socket.timeout()
socket.timeout

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/usr/local/lib/python3.8/dist-packages/nornir/core/task.py”, line 98, in start
r = self.task(self, **self.params)
File “/usr/local/lib/python3.8/dist-packages/nornir_napalm/plugins/tasks/napalm_cli.py”, line 20, in napal
m_cli
result = device.cli(commands)
File “/usr/local/lib/python3.8/dist-packages/napalm/ios/ios.py”, line 2363, in cli
output = self._send_command(command)
File “/usr/local/lib/python3.8/dist-packages/napalm/ios/ios.py”, line 205, in _send_command
output = self.device.send_command(command)
File “/usr/local/lib/python3.8/dist-packages/netmiko/utilities.py”, line 429, in wrapper_decorator
return func(self, *args, **kwargs)
File “/usr/local/lib/python3.8/dist-packages/netmiko/base_connection.py”, line 1484, in send_command
new_data = self.read_until_pattern(pattern=re.escape(cmd))
File “/usr/local/lib/python3.8/dist-packages/netmiko/base_connection.py”, line 646, in read_until_pattern
return self._read_channel_expect(*args, **kwargs)
File “/usr/local/lib/python3.8/dist-packages/netmiko/base_connection.py”, line 579, in _read_channel_expec
t
raise NetmikoTimeoutException(
netmiko.ssh_exception.NetmikoTimeoutException: Timed-out reading channel, data not available.

Regards